Bug 1662140 - [abrt] solaar: __call__(): settings.py:64:__call__:AssertionError
Summary: [abrt] solaar: __call__(): settings.py:64:__call__:AssertionError
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:70b696ca5bbf955d4e444992455...
: 1644984 (view as bug list)
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2018-12-26 11:40 UTC by Jan Vlug
Modified: 2019-11-27 23:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:27:49 UTC


Attachments (Terms of Use)
File: backtrace (1.50 KB, text/plain)
2018-12-26 11:40 UTC, Jan Vlug
no flags Details
File: cgroup (341 bytes, text/plain)
2018-12-26 11:40 UTC, Jan Vlug
no flags Details
File: cpuinfo (1.44 KB, text/plain)
2018-12-26 11:40 UTC, Jan Vlug
no flags Details
File: environ (3.55 KB, text/plain)
2018-12-26 11:40 UTC, Jan Vlug
no flags Details
File: mountinfo (4.24 KB, text/plain)
2018-12-26 11:40 UTC, Jan Vlug
no flags Details
File: namespaces (129 bytes, text/plain)
2018-12-26 11:40 UTC, Jan Vlug
no flags Details
File: open_fds (1.38 KB, text/plain)
2018-12-26 11:40 UTC, Jan Vlug
no flags Details

Description Jan Vlug 2018-12-26 11:40:29 UTC
Description of problem:
Put new batteries in a wireless keyboard that was already connected long time ago. So the keyboard came online after a long time.

Version-Release number of selected component:
solaar-0.9.2-10.20180813gitf0fc63e.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: __call__
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.8-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
settings.py:64:__call__:AssertionError

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/solaar/ui/__init__.py", line 165, in _status_changed
    window.update(device, need_popup)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 822, in update
    _update_info_panel(device, full=full_update)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 703, in _update_info_panel
    _update_device_panel(device, _info._device, _info._buttons, full)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 674, in _update_device_panel
    _config_panel.update(device, is_online)
  File "/usr/lib/python3.7/site-packages/solaar/ui/config_panel.py", line 206, in update
    for s in device.settings:
  File "/usr/lib/python3.7/site-packages/logitech_receiver/receiver.py", line 254, in settings
    _check_feature_settings(self, self._settings)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings_templates.py", line 376, in check_feature_settings
    check_feature(_SMOOTH_SCROLL[0], _F.HI_RES_SCROLLING)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings_templates.py", line 374, in check_feature
    already_known.append(feature(device))
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings.py", line 64, in __call__
    assert self.device_kind is None or self.device_kind == device.kind
AssertionError

Local variables in innermost frame:
self: <Setting([feature:toggle] smooth-scroll)>
device: <PairedDevice(1,4024,K400)>

Comment 1 Jan Vlug 2018-12-26 11:40:32 UTC
Created attachment 1516838 [details]
File: backtrace

Comment 2 Jan Vlug 2018-12-26 11:40:33 UTC
Created attachment 1516839 [details]
File: cgroup

Comment 3 Jan Vlug 2018-12-26 11:40:34 UTC
Created attachment 1516840 [details]
File: cpuinfo

Comment 4 Jan Vlug 2018-12-26 11:40:36 UTC
Created attachment 1516841 [details]
File: environ

Comment 5 Jan Vlug 2018-12-26 11:40:37 UTC
Created attachment 1516842 [details]
File: mountinfo

Comment 6 Jan Vlug 2018-12-26 11:40:38 UTC
Created attachment 1516843 [details]
File: namespaces

Comment 7 Jan Vlug 2018-12-26 11:40:39 UTC
Created attachment 1516844 [details]
File: open_fds

Comment 8 Jonathan Graham 2019-01-01 20:17:45 UTC
Similar problem has been detected:

This problem occurred after a resume from suspend of the laptop that this unifying receiver was connected to.  Launched Solaar again afterward and it worked normally.

reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: __call__
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.10-300.fc29.x86_64
package:        solaar-0.9.2-10.20180813gitf0fc63e.fc29
reason:         settings.py:64:__call__:AssertionError
runlevel:       N 5
type:           Python3
uid:            1000

Comment 9 Jonathan Graham 2019-04-06 13:46:04 UTC
Similar problem has been detected:

This problem appears to occur spontaneously, and keeps reoccuring.  I am able to use the command line version with no issues, however, even after the gui version crashes.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: __call__
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.5-200.fc29.x86_64
package:        solaar-0.9.2-10.20180813gitf0fc63e.fc29
reason:         settings.py:64:__call__:AssertionError
runlevel:       N 5
type:           Python3
uid:            1000

Comment 10 Dominik 'Rathann' Mierzejewski 2019-09-23 13:13:40 UTC
*** Bug 1644984 has been marked as a duplicate of this bug. ***

Comment 11 Ben Cotton 2019-10-31 18:49:16 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-11-27 23:27:49 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.